@import "./partials/variables";

// Define the palettes for your theme using the Material Design palettes available in palette.scss
// (imported above). For each palette, you can optionally specify a default, lighter, and darker
// hue. Available color palettes: https://material.io/design/color/
$graphene-ui-primary: mat.define-palette($custom-primary);
$graphene-ui-accent: mat.define-palette(mat.$pink-palette, A200, A100, A400);

// The warn palette is optional (defaults to red).
$graphene-ui-warn: mat.define-palette(mat.$red-palette);

// Create the theme object. A theme consists of configurations for individual
// theming systems such as "color" or "typography".
$graphene-ui-theme: mat.define-light-theme(
  (
    color: (
      primary: $graphene-ui-primary,
      accent: $graphene-ui-accent,
      warn: $graphene-ui-warn,
    ),
  )
);

// Include theme styles for core and each component used in your app.
// Alternatively, you can import and @include the theme mixins for each component
// that you are using.
@include mat.all-component-themes($graphene-ui-theme);
